# SourcePath: libtool/20101019dev
Summary: Generic library support script
Name: sony-target-dev-libtool
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libtool
Version: 2.2.10
Release: 08020202
URL: http://www.gnu.org/software/libtool
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
Patch1: libtool-2.2.10-configsub.patch
Patch2: libtool-2.2.10-mips-mxgot.patch
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_doc_dir}

%description
libtool is a set of scripts which configure UNIX and UNIX-like architectures to
generically build shared libraries. Libtool provides a consistent, portable
interface which simplifies the process of using shared libraries.

%package -n %{pkgname}
Summary: Generic library support script
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libtool is a set of scripts which configure UNIX and UNIX-like architectures to
generically build shared libraries. Libtool provides a consistent, portable
interface which simplifies the process of using shared libraries.


%prep
%setup -q -n libtool-%{version}
%patch1 -p1
%if %{sony_target_cpu} == "mips"
%patch2 -p0
%endif

%build
%sony_target_dev_setup
# We MUST manually set CONFIG_SHELL
CONFIG_SHELL=/bin/sh
export CONFIG_SHELL

%sony_target_dev_configure --enable-shared

make all | tee -a build.log


%install
%sony_target_dev_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_include_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/libtool

%sony_target_dev_makeinstall
cd %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
ln -s libtoolize %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/%{sony_target_toolprefix}libtoolize

%demangle_libtool
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/info

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/libtool
%{sony_target_dir}%{sony_target_dev_bin_dir}/libtoolize
%{sony_target_dir}%{sony_target_dev_bin_dir}/%{sony_target_toolprefix}libtoolize
%{sony_target_dir}%{sony_target_dev_include_dir}/ltdl.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libltdl.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libltdl.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libltdl.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libltdl.so.7
%{sony_target_dir}%{sony_target_dev_lib_dir}/libltdl.so.7.2.2
%{sony_target_dir}%{sony_target_dev_data_dir}/libtool/config/*
%{sony_target_dir}%{sony_target_dev_data_dir}/libtool/libltdl/*
%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal/*
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libltdl.a

%changelog
* Tue Oct 19 2010 Sony Corporation
- Libtool version update

* Wed Dec 08 2004 Sony Corporation
- delete info

* Wed Nov 17 2004 Sony Corporation
- %make -> make 

* Fri Nov  5 2004 Sony Corporation
- First cut
